> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/object-model/solution/layout-container.md).

# Layout Container

(LayoutContainer)

## Overview

Dummy class for use in the documentation generator.

## Properties Summarized

| Type                                                     | Name                                                                                                                                         | Summary                                                                                         |
| -------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [comment](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#comment)       | Additional design time information, such as programmer notes about this model object's purpose. |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [cssClasses](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#cssclasses) | The css classes to be output for html tag.                                                      |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [elementId](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#elementid)   | The id to be output for html tag.                                                               |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [location](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#location)     | The x and y position of the component, in pixels, separated by a comma.                         |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [name](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#name)             | The name of the form.                                                                           |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [size](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#size)             | The width and height (in pixels), separated by a comma.                                         |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [tagType](https://github.com/Servoy/gitbook/blob/master/reference/servoycore/object-model/solution/form/layout%20container.md#tagtype)       | The tag type for html output.                                                                   |

## Properties Detailed

### comment

Additional design time information, such as programmer notes about this model object's purpose.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

### cssClasses

The css classes to be output for html tag.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

### elementId

The id to be output for html tag.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

### location

The x and y position of the component, in pixels, separated by a comma.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

### name

The name of the form.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```js
"orderDetails"
```

### size

The width and height (in pixels), separated by a comma.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

### tagType

The tag type for html output. Default value is 'div'.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/object-model/solution/layout-container.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
